<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
        xmlns="http://www.w3.org/1999/xhtml">

<xsl:output encoding="UTF-8" method="text"/>

<xsl:template match="svrl:schematron-output">
  <xsl:choose>
    <xsl:when test="(count(svrl:successful-report) + count(svrl:failed-assert)) != 0">There are validations errors!
</xsl:when>
    <xsl:otherwise>Valid!
</xsl:otherwise>
  </xsl:choose>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="svrl:successful-report">
<xsl:value-of select="@location"/>:<xsl:value-of select="svrl:text"/>  (report: "<xsl:value-of select="@test"/>")
</xsl:template>

<xsl:template match="svrl:failed-assert">
<xsl:value-of select="@location"/>:<xsl:value-of select="svrl:text"/>  (assert: "<xsl:value-of select="@test"/>")
</xsl:template>

<xsl:template match="text()">
</xsl:template>

</xsl:stylesheet>
